summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobby Russell <robby@planetargon.com>2012-06-13 13:21:13 -0700
committerRobby Russell <robby@planetargon.com>2012-06-13 13:21:13 -0700
commitb84d336672833d7d2162ee583a1ee5384006f3c7 (patch)
tree67bb701da378f73e953760ac725189bb060e1ba6
parentf60244f8f447613b3f68a047bcc235733d71dd4f (diff)
parentb1e4ef17543d4a236ad35417ac36560917e6cadc (diff)
downloadzsh-b84d336672833d7d2162ee583a1ee5384006f3c7.tar.gz
zsh-b84d336672833d7d2162ee583a1ee5384006f3c7.tar.bz2
zsh-b84d336672833d7d2162ee583a1ee5384006f3c7.zip
Merge pull request #985 from pomaxa/master
git plugin function
-rw-r--r--plugins/git/git.plugin.zsh8
1 files changed, 7 insertions, 1 deletions
diff --git a/plugins/git/git.plugin.zsh b/plugins/git/git.plugin.zsh
index e1d682508..d3d3f702a 100644
--- a/plugins/git/git.plugin.zsh
+++ b/plugins/git/git.plugin.zsh
@@ -54,10 +54,16 @@ function current_branch() {
echo ${ref#refs/heads/}
}
+function current_repository() {
+
+ ref=$(git symbolic-ref HEAD 2> /dev/null) || return
+ echo $(git remote -v | cut -d':' -f 2)
+}
+
# these aliases take advantage of the previous function
alias ggpull='git pull origin $(current_branch)'
compdef ggpull=git
alias ggpush='git push origin $(current_branch)'
compdef ggpush=git
alias ggpnp='git pull origin $(current_branch) && git push origin $(current_branch)'
-compdef ggpnp=git \ No newline at end of file
+compdef ggpnp=git